trans = load('Trans20Joined'); %1st column - wavelength, 2nd column - molar absorption coefficients of trans-azobenzene
cis = load('cis_low_nonfixed'); %1st column - wavelength, 2nd column - molar absorption coefficients of cis-azobenzene
A = load ('spektra_jak_sel_cas_korig'); %1st column - wavelength, other columns - absorbances of the azobenzene in time 

start_wl = 559; %wavelength at which fitting starts
end_wl = 251; %wavelength at which fitting ends

stepA = abs(round(A(2,1) - A (1,1), 2, 'significant')); %if you are using Matlab 2014a and older, replace this row with "stepA = X", where X is the difference between two consecutive wavelengths in the spectrum A
A1 = find(round(A(:,1)./stepA)==start_wl./stepA);
A2 = find(round(A(:,1)./stepA)==end_wl./stepA);

stepCis = abs(round(cis(2,1) - cis(1,1), 2, 'significant')); %if you are using Matlab 2014a and older, replace this row with "stepCis = X", where X is the difference between two consecutive wavelengths in the spectrum cis
Cis1 = find(round(cis(:,1)./stepCis)==start_wl./stepCis);
Cis2 = find(round(cis(:,1)./stepCis)==end_wl./stepCis);

stepTrans = abs(round(trans(2,1) - trans(1,1), 2, 'significant'));%if you are using Matlab 2014a and older, replace this row with "stepTrans = X", where X is the difference between two consecutive wavelengths in the spectrum trans
Trans1 = find(round(trans(:,1)./stepTrans)==start_wl./stepTrans);
Trans2 = find(round(trans(:,1)./stepTrans)==end_wl./stepTrans);

step = max([stepA, stepCis, stepTrans]);

if start_wl<end_wl
    matrix = [[start_wl:step:end_wl]', cis(Cis1:step/stepCis:Cis2,2), trans(Trans1:step/stepTrans:Trans2,2), A(A1:step/stepA:A2,2:end)];
else matrix = [[start_wl:-step:end_wl]', cis(Cis1:step/stepCis:Cis2,2), trans(Trans1:step/stepTrans:Trans2,2), A(A1:step/stepA:A2,2:end)];
end
[VN,VR,VCh]=all_twoconcentrations(matrix, 1, 0, 1, []);

